Subject: Re: [PATCH v4] submodule: port subcommand 'set-url' from shell to C

From: Shourya Shukla <[email-masked]>
Date: Wed, 6 May 2020 22:01:28 +0530

On 06/05 10:09, Christian Couder wrote:
> > +       strbuf_addf(&config_name, "submodule.%s.url", path);
> > +
> > +       config_set_in_gitmodules_file_gently(config_name.buf, newurl);
> > +       sync_submodule(path, prefix, quiet ? OPT_QUIET : 0);
> > +
> > +       strbuf_release(&config_name);
> 
> Nit: it might be a bit simpler to define config_name as a "char *",
> and then use xstrfmt() and free() instead of strbuf_addf() and
> strbuf_release().

Apart from the simplicity purposes, does doing this aid in performance
in any way?

> > +       return 0;
> > +}